Debian Bug report logs - #677392
ember: FTBFS[kfreebsd]: cannot change permissions of `/build/buildd-ember_0.6.2+dfsg-1-kfreebsd-amd64-2EGmEt/ember-0.6.2+dfsg/debian/ember/usr/games/ember': No such file or directory

version graph

Package: src:ember; Maintainer for src:ember is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Wed, 13 Jun 2012 14:39:08 UTC

Severity: serious

Tags: sid, wheezy

Found in version ember/0.6.2+dfsg-1

Fixed in version ember/0.6.2+dfsg-2

Done: stephen.webb@bregmasoft.ca (Stephen M. Webb)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#677392; Package src:ember. (Wed, 13 Jun 2012 14:39:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 13 Jun 2012 14:39:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: ember: FTBFS[kfreebsd]: cannot change permissions of `/build/buildd-ember_0.6.2+dfsg-1-kfreebsd-amd64-2EGmEt/ember-0.6.2+dfsg/debian/ember/usr/games/ember': No such file or directory
Date: Wed, 13 Jun 2012 16:35:43 +0200
Package: src:ember
Version: 0.6.2+dfsg-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

make[3]: Entering directory `/build/buildd-ember_0.6.2+dfsg-1-kfreebsd-amd64-2EGmEt/ember-0.6.2+dfsg'
 /bin/mkdir -p '/build/buildd-ember_0.6.2+dfsg-1-kfreebsd-amd64-2EGmEt/ember-0.6.2+dfsg/debian/ember/usr/games'
 /bin/mkdir -p '/build/buildd-ember_0.6.2+dfsg-1-kfreebsd-amd64-2EGmEt/ember-0.6.2+dfsg/debian/ember/usr/games'
 /bin/mkdir -p '/build/buildd-ember_0.6.2+dfsg-1-kfreebsd-amd64-2EGmEt/ember-0.6.2+dfsg/debian/ember/usr/share/applications'
 /bin/mkdir -p '/build/buildd-ember_0.6.2+dfsg-1-kfreebsd-amd64-2EGmEt/ember-0.6.2+dfsg/debian/ember/etc/ember'
 /usr/bin/install -c ember '/build/buildd-ember_0.6.2+dfsg-1-kfreebsd-amd64-2EGmEt/ember-0.6.2+dfsg/debian/ember/usr/games'
 /usr/bin/install -c ember '/build/buildd-ember_0.6.2+dfsg-1-kfreebsd-amd64-2EGmEt/ember-0.6.2+dfsg/debian/ember/usr/games'
 /usr/bin/install -c -m 644 ember.conf '/build/buildd-ember_0.6.2+dfsg-1-kfreebsd-amd64-2EGmEt/ember-0.6.2+dfsg/debian/ember/etc/ember'
 /usr/bin/install -c -m 644 ember.desktop '/build/buildd-ember_0.6.2+dfsg-1-kfreebsd-amd64-2EGmEt/ember-0.6.2+dfsg/debian/ember/usr/share/applications'
/usr/bin/install: cannot change permissions of `/build/buildd-ember_0.6.2+dfsg-1-kfreebsd-amd64-2EGmEt/ember-0.6.2+dfsg/debian/ember/usr/games/ember': No such file or directory
make[3]: *** [install-binSCRIPTS] Error 1
make[3]: *** Waiting for unfinished jobs....
make[3]: Leaving directory `/build/buildd-ember_0.6.2+dfsg-1-kfreebsd-amd64-2EGmEt/ember-0.6.2+dfsg'
make[2]: *** [install-am] Error 2
make[2]: Leaving directory `/build/buildd-ember_0.6.2+dfsg-1-kfreebsd-amd64-2EGmEt/ember-0.6.2+dfsg'
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory `/build/buildd-ember_0.6.2+dfsg-1-kfreebsd-amd64-2EGmEt/ember-0.6.2+dfsg'
dh_auto_install: make -j4 install DESTDIR=/build/buildd-ember_0.6.2+dfsg-1-kfreebsd-amd64-2EGmEt/ember-0.6.2+dfsg/debian/ember AM_UPDATE_INFO_DIR=no returned exit code 2
make: *** [binary-arch] Error 29
dpkg-buildpackage: error: fakeroot debian/rules binary-arch gave error exit status 2

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=ember&arch=kfreebsd-amd64&ver=0.6.2%2Bdfsg-1&stamp=1339517916

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Reply sent to stephen.webb@bregmasoft.ca (Stephen M. Webb):
You have taken responsibility. (Wed, 13 Jun 2012 22:21:05 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Wed, 13 Jun 2012 22:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 677392-close@bugs.debian.org (full text, mbox):

From: stephen.webb@bregmasoft.ca (Stephen M. Webb)
To: 677392-close@bugs.debian.org
Subject: Bug#677392: fixed in ember 0.6.2+dfsg-2
Date: Wed, 13 Jun 2012 22:17:14 +0000
Source: ember
Source-Version: 0.6.2+dfsg-2

We believe that the bug you reported is fixed in the latest version of
ember, which is due to be installed in the Debian FTP archive:

ember_0.6.2+dfsg-2.debian.tar.gz
  to main/e/ember/ember_0.6.2+dfsg-2.debian.tar.gz
ember_0.6.2+dfsg-2.dsc
  to main/e/ember/ember_0.6.2+dfsg-2.dsc
ember_0.6.2+dfsg-2_amd64.deb
  to main/e/ember/ember_0.6.2+dfsg-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677392@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen M. Webb <stephen.webb@bregmasoft.ca> (supplier of updated ember package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 12 Jun 2012 15:59:48 -0400
Source: ember
Binary: ember
Architecture: amd64 source
Version: 0.6.2+dfsg-2
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Stephen M. Webb <stephen.webb@bregmasoft.ca>
Closes: 677392
Description: 
 ember      - 3D client framework for the WorldForge project
Changes: 
 ember (0.6.2+dfsg-2) unstable; urgency=low
 .
   * fixed a FTBFS on random arches due to --parallel on dh_install
     (closes: #677392)
Checksums-Sha1: 
 8c8ee2968f32c5318a673584be9e8e227739b611 2283 ember_0.6.2+dfsg-2.dsc
 bcd829795448ceabffb90c795aef0dc5217c9b60 11315 ember_0.6.2+dfsg-2.debian.tar.gz
 c26fee09f7df31dc9f60771408776aa6cb4522bf 1780142 ember_0.6.2+dfsg-2_amd64.deb
Checksums-Sha256: 
 6c5027de69e104f7250a19b6916ccf31d6850fa48296d936a9c3798a31e7e46e 2283 ember_0.6.2+dfsg-2.dsc
 07838eb020274857216a23dabe2688c2754b5c9e6f0a475d19153f5b7a6eb4ad 11315 ember_0.6.2+dfsg-2.debian.tar.gz
 3ab2d6862185bfed4cdec81398026d98a367a3f1c9be5f082495e5af4630a679 1780142 ember_0.6.2+dfsg-2_amd64.deb
Files: 
 bbbcbdcd465e73943b882b483bda0ef8 2283 games optional ember_0.6.2+dfsg-2.dsc
 aa4f5d9216b269892362123519a1e6e1 11315 games optional ember_0.6.2+dfsg-2.debian.tar.gz
 bab29834b1c634437e89a2f00876f6f8 1780142 games optional ember_0.6.2+dfsg-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJP2QwpAAoJEIATJTTdNH3I4Z0P/A592qTM/wbwLtnNDIAUo840
PfCUXDep45e2gu8UdVNQqAtvEiVpsM0i0vKIahVxR8dQD+yavQlJ9QIp6T9brQQ2
OfuqNDp31MsHDf6vPL1mfvF3ZZ320bYpX18G5zBdMNT9/mjaM3jNl9V/5ZOPhgd8
Lr6sRXofZB4DkATPfvyH1MgpUu6Zt4LfKeNCOTSKOkhNA2MA5E+dHoSs9+AlnwGR
qlH1yto1ched2IxTawgU/o6LI2Np8Q4kfFNntmis1g6LfsIkXOLFSnZ796OD5z3v
CofdOgBz84FXUNTBX74fSckIUP6kE/xCtz9+b43wNW/MZpXTAGJoOoBEIJk0eGME
muk5Zw3kis/vemnUbxtenkVO9yKBslMEvH0XRe8Z2SEeUTHzupqPOtkxccvFKlW+
6dncldYqhGBmpv4lxSoHvjehYoeP3WI2AdED8B/HQOf1GKX8HeOC8eUnmDquiGZd
vZ0MmkDN4kOyQqJR/NQzSCyRfCQ2zj2UvzeNg+4oE/rbM1IgrArKtMsL7Ho/9dJy
x2ar0AZp7MsU2x5/iwo0xoSOoU9W+lKF5+KXrgLevcFeaOELLmskcx4jmNHiByS5
Tgieca2Q1cnVlAOmD6lopMVgMy0GwJgJ8MbHTVDh+P4+/6+Y8mOSHPHTpv8xYohL
eq+kpb3B3ic5tZhbSRfp
=Ik3A
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Jul 2012 07:32:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:43:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.